## fdk-aac 0.1.1+20130514

=== debian/changelog ===
fdk-aac (0.1.1+20130514-2) unstable; urgency=low

  * Explain autobuild. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Jun 2013 19:06:07 -0500

fdk-aac (0.1.1+20130514-1) unstable; urgency=low

  * Initial upload.
  Closes: #694257

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 06:13:57 -0500
