## fdk-aac 2.0.1

=== build.fdk-aac-2.0.1-r0.ar_configured/Makefile ===
# Makefile.in generated by automake 1.16.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2020 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






VPATH = ../git
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/fdk-aac
pkgincludedir = $(includedir)/fdk-aac
pkglibdir = $(libdir)/fdk-aac
pkglibexecdir = $(libexecdir)/fdk-aac
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = aarch64-poky-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(fdk_aacinclude_HEADERS) \
	$(am__noinst_HEADERS_DIST) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = fdk-aac.pc
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(fdk_aacincludedir)"
PROGRAMS = $(bin_PROGRAMS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
LTLIBRARIES = $(lib_LTLIBRARIES)
libfdk_aac_la_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 = libAACdec/src/FDK_delay.lo libAACdec/src/aac_ram.lo \
	libAACdec/src/aac_rom.lo libAACdec/src/aacdec_drc.lo \
	libAACdec/src/aacdec_hcr.lo libAACdec/src/aacdec_hcr_bit.lo \
	libAACdec/src/aacdec_hcrs.lo libAACdec/src/aacdec_pns.lo \
	libAACdec/src/aacdec_tns.lo libAACdec/src/aacdecoder.lo \
	libAACdec/src/aacdecoder_lib.lo libAACdec/src/block.lo \
	libAACdec/src/channel.lo libAACdec/src/channelinfo.lo \
	libAACdec/src/conceal.lo libAACdec/src/ldfiltbank.lo \
	libAACdec/src/pulsedata.lo libAACdec/src/rvlc.lo \
	libAACdec/src/rvlcbit.lo libAACdec/src/rvlcconceal.lo \
	libAACdec/src/stereo.lo libAACdec/src/usacdec_ace_d4t64.lo \
	libAACdec/src/usacdec_ace_ltp.lo \
	libAACdec/src/usacdec_acelp.lo libAACdec/src/usacdec_fac.lo \
	libAACdec/src/usacdec_lpc.lo libAACdec/src/usacdec_lpd.lo \
	libAACdec/src/usacdec_rom.lo
am__objects_2 = libAACenc/src/aacEnc_ram.lo \
	libAACenc/src/aacEnc_rom.lo libAACenc/src/aacenc.lo \
	libAACenc/src/aacenc_lib.lo libAACenc/src/aacenc_pns.lo \
	libAACenc/src/aacenc_tns.lo libAACenc/src/adj_thr.lo \
	libAACenc/src/band_nrg.lo libAACenc/src/bandwidth.lo \
	libAACenc/src/bit_cnt.lo libAACenc/src/bitenc.lo \
	libAACenc/src/block_switch.lo libAACenc/src/channel_map.lo \
	libAACenc/src/chaosmeasure.lo libAACenc/src/dyn_bits.lo \
	libAACenc/src/grp_data.lo libAACenc/src/intensity.lo \
	libAACenc/src/line_pe.lo libAACenc/src/metadata_compressor.lo \
	libAACenc/src/metadata_main.lo libAACenc/src/mps_main.lo \
	libAACenc/src/ms_stereo.lo libAACenc/src/noisedet.lo \
	libAACenc/src/pnsparam.lo libAACenc/src/pre_echo_control.lo \
	libAACenc/src/psy_configuration.lo libAACenc/src/psy_main.lo \
	libAACenc/src/qc_main.lo libAACenc/src/quantize.lo \
	libAACenc/src/sf_estim.lo libAACenc/src/spreading.lo \
	libAACenc/src/tonality.lo libAACenc/src/transform.lo
am__objects_3 = libArithCoding/src/ac_arith_coder.lo
am__objects_4 = libDRCdec/src/FDK_drcDecLib.lo \
	libDRCdec/src/drcDec_gainDecoder.lo \
	libDRCdec/src/drcDec_reader.lo libDRCdec/src/drcDec_rom.lo \
	libDRCdec/src/drcDec_selectionProcess.lo \
	libDRCdec/src/drcDec_tools.lo libDRCdec/src/drcGainDec_init.lo \
	libDRCdec/src/drcGainDec_preprocess.lo \
	libDRCdec/src/drcGainDec_process.lo
am__objects_5 = libMpegTPDec/src/tpdec_adif.lo \
	libMpegTPDec/src/tpdec_adts.lo libMpegTPDec/src/tpdec_asc.lo \
	libMpegTPDec/src/tpdec_drm.lo libMpegTPDec/src/tpdec_latm.lo \
	libMpegTPDec/src/tpdec_lib.lo
am__objects_6 = libMpegTPEnc/src/tpenc_adif.lo \
	libMpegTPEnc/src/tpenc_adts.lo libMpegTPEnc/src/tpenc_asc.lo \
	libMpegTPEnc/src/tpenc_latm.lo libMpegTPEnc/src/tpenc_lib.lo
am__objects_7 = libSACdec/src/sac_bitdec.lo \
	libSACdec/src/sac_calcM1andM2.lo libSACdec/src/sac_dec.lo \
	libSACdec/src/sac_dec_conceal.lo libSACdec/src/sac_dec_lib.lo \
	libSACdec/src/sac_process.lo libSACdec/src/sac_qmf.lo \
	libSACdec/src/sac_reshapeBBEnv.lo libSACdec/src/sac_rom.lo \
	libSACdec/src/sac_smoothing.lo libSACdec/src/sac_stp.lo \
	libSACdec/src/sac_tsd.lo
am__objects_8 = libSACenc/src/sacenc_bitstream.lo \
	libSACenc/src/sacenc_delay.lo \
	libSACenc/src/sacenc_dmx_tdom_enh.lo \
	libSACenc/src/sacenc_filter.lo \
	libSACenc/src/sacenc_framewindowing.lo \
	libSACenc/src/sacenc_huff_tab.lo libSACenc/src/sacenc_lib.lo \
	libSACenc/src/sacenc_nlc_enc.lo \
	libSACenc/src/sacenc_onsetdetect.lo \
	libSACenc/src/sacenc_paramextract.lo \
	libSACenc/src/sacenc_staticgain.lo \
	libSACenc/src/sacenc_tree.lo \
	libSACenc/src/sacenc_vectorfunctions.lo
am__objects_9 = libSBRdec/src/HFgen_preFlat.lo \
	libSBRdec/src/env_calc.lo libSBRdec/src/env_dec.lo \
	libSBRdec/src/env_extr.lo libSBRdec/src/hbe.lo \
	libSBRdec/src/huff_dec.lo libSBRdec/src/lpp_tran.lo \
	libSBRdec/src/psbitdec.lo libSBRdec/src/psdec.lo \
	libSBRdec/src/psdec_drm.lo libSBRdec/src/psdecrom_drm.lo \
	libSBRdec/src/pvc_dec.lo libSBRdec/src/sbr_crc.lo \
	libSBRdec/src/sbr_deb.lo libSBRdec/src/sbr_dec.lo \
	libSBRdec/src/sbr_ram.lo libSBRdec/src/sbr_rom.lo \
	libSBRdec/src/sbrdec_drc.lo libSBRdec/src/sbrdec_freq_sca.lo \
	libSBRdec/src/sbrdecoder.lo
am__objects_10 = libSBRenc/src/bit_sbr.lo libSBRenc/src/code_env.lo \
	libSBRenc/src/env_bit.lo libSBRenc/src/env_est.lo \
	libSBRenc/src/fram_gen.lo libSBRenc/src/invf_est.lo \
	libSBRenc/src/mh_det.lo libSBRenc/src/nf_est.lo \
	libSBRenc/src/ps_bitenc.lo libSBRenc/src/ps_encode.lo \
	libSBRenc/src/ps_main.lo libSBRenc/src/resampler.lo \
	libSBRenc/src/sbr_encoder.lo libSBRenc/src/sbr_misc.lo \
	libSBRenc/src/sbrenc_freq_sca.lo libSBRenc/src/sbrenc_ram.lo \
	libSBRenc/src/sbrenc_rom.lo libSBRenc/src/ton_corr.lo \
	libSBRenc/src/tran_det.lo
am__objects_11 = libPCMutils/src/limiter.lo \
	libPCMutils/src/pcm_utils.lo libPCMutils/src/pcmdmx_lib.lo
am__objects_12 = libFDK/src/FDK_bitbuffer.lo libFDK/src/FDK_core.lo \
	libFDK/src/FDK_crc.lo libFDK/src/FDK_decorrelate.lo \
	libFDK/src/FDK_hybrid.lo libFDK/src/FDK_lpc.lo \
	libFDK/src/FDK_matrixCalloc.lo libFDK/src/FDK_qmf_domain.lo \
	libFDK/src/FDK_tools_rom.lo libFDK/src/FDK_trigFcts.lo \
	libFDK/src/autocorr2nd.lo libFDK/src/dct.lo libFDK/src/fft.lo \
	libFDK/src/fft_rad2.lo libFDK/src/fixpoint_math.lo \
	libFDK/src/huff_nodes.lo libFDK/src/mdct.lo \
	libFDK/src/nlc_dec.lo libFDK/src/qmf.lo libFDK/src/scale.lo
am__objects_13 = libSYS/src/genericStds.lo \
	libSYS/src/syslib_channelMapDescr.lo
am_libfdk_aac_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
	$(am__objects_3) $(am__objects_4) $(am__objects_5) \
	$(am__objects_6) $(am__objects_7) $(am__objects_8) \
	$(am__objects_9) $(am__objects_10) $(am__objects_11) \
	$(am__objects_12) $(am__objects_13)
libfdk_aac_la_OBJECTS = $(am_libfdk_aac_la_OBJECTS)
am__aac_enc_SOURCES_DIST = aac-enc.c wavreader.c
#am_aac_enc_OBJECTS = aac-enc.$(OBJEXT) \
#	wavreader.$(OBJEXT)
aac_enc_OBJECTS = $(am_aac_enc_OBJECTS)
#aac_enc_DEPENDENCIES = libfdk-aac.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/aac-enc.Po ./$(DEPDIR)/dummy.Plo \
	./$(DEPDIR)/wavreader.Po libAACdec/src/$(DEPDIR)/FDK_delay.Plo \
	libAACdec/src/$(DEPDIR)/aac_ram.Plo \
	libAACdec/src/$(DEPDIR)/aac_rom.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_drc.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_hcr.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_hcr_bit.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_hcrs.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_pns.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_tns.Plo \
	libAACdec/src/$(DEPDIR)/aacdecoder.Plo \
	libAACdec/src/$(DEPDIR)/aacdecoder_lib.Plo \
	libAACdec/src/$(DEPDIR)/block.Plo \
	libAACdec/src/$(DEPDIR)/channel.Plo \
	libAACdec/src/$(DEPDIR)/channelinfo.Plo \
	libAACdec/src/$(DEPDIR)/conceal.Plo \
	libAACdec/src/$(DEPDIR)/ldfiltbank.Plo \
	libAACdec/src/$(DEPDIR)/pulsedata.Plo \
	libAACdec/src/$(DEPDIR)/rvlc.Plo \
