## fdk-aac 0.1.2

=== debian/changelog ===
fdk-aac (0.1.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Add watch file. Thanks to Bart Martens for the great work.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Oct 2013 23:52:35 +0100

fdk-aac (0.1.1+20130514-3) unstable; urgency=low

  * Team upload.
  * Include PDF documentation (Closes: #721532)

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Sep 2013 09:38:37 +0100
