=== debian/control ===
Source: fdk-aac
Section: non-free/libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>
Homepage: https://github.com/mstorsjo/fdk-aac
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), dh-autoreconf
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/fdk-aac.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/fdk-aac.git;a=summary
XS-Autobuild: yes

Package: libfdk-aac0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Fraunhofer FDK AAC Codec Library - runtime files
 The FDK AAC Codec Library For Android contains an encoder implementation 
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains the files needed to run a program compiled using
 The Fraunhofer FDK AAC Codec Library.

Package: libfdk-aac0-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: non-free/debug
Depends:
 libfdk-aac0 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for libfdk-aac0
 The FDK AAC Codec Library For Android contains an encoder implementation
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains the debugging symbols for libfdk-aac0

Package: libfdk-aac-dev
Architecture: any
Multi-Arch: same
Section: non-free/libdevel
Depends:
 libfdk-aac0 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends}
Description: Fraunhofer FDK AAC Codec Library - development files
 The FDK AAC Codec Library For Android contains an encoder implementation
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains the files needed to compile and statically link
 against the Fraunhofer FDK AAC Codec Library.

Package: aac-enc
Architecture: any
Depends:
  libfdk-aac0 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
Section: non-free/sound
Description: Fraunhofer FDK AAC Codec Library - frontend binary
 The FDK AAC Codec Library For Android contains an encoder implementation
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains a frontend binary capable of encoding WAVE files
 using the Fraunhofer FDK AAC Codec Library.
