=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-example 

override_dh_strip:
	dh_strip --dbg-package=libfdk-aac0-dbg
