## fdk-aac 0.1.3

=== debian/changelog ===
fdk-aac (0.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Jul 2014 11:18:31 +0100
