## fdk-aac 0.1.3%2B20140816

=== debian/changelog ===
fdk-aac (0.1.3+20140816-2) unstable; urgency=medium

  * Fix FTBFS for real this time:
  * Added missing powerpc ASM files.
  * Add missing #defines for sparc and s390x.
  * Add correct CPPFLAGS for mips.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 17 Aug 2014 09:37:14 -0500

fdk-aac (0.1.3+20140816-1) unstable; urgency=medium

  * Update to latest upstream.
  * Fix FTBFS on mips, sparc and s390x.
  * Bump standards version to 3.9.5

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2014 19:42:04 -0500
