## fdk-aac 0.1.3+20140816

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dh-autoreconf
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/fdk-aac.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/fdk-aac.git;a=summary
