=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+ifneq (,$(findstring mips,$(DEB_HOST_ARCH)))
+	CPPFLAGS+= -mips32r2
+	export CPPFLAGS
+endif
 
 %:
 	dh $@ --parallel --with autoreconf
