## fdk-aac 0.1.4

=== debian/changelog ===
fdk-aac (0.1.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Sep 2016 20:18:29 +0200

fdk-aac (0.1.4-1) experimental; urgency=medium

  [ Alessio Treglia ]
  * New upstream release. (Closes: #784908)
  * debian/patches:
    - Refresh add_more_arch.
    - Drop missing_ppc_files. (Closes: #771924)

  [ Sebastian Ramacher ]
  * debian/patches/gcc6_c++98: Upstream patch to fix FTBFS with GCC 6 (Closes:
    #836933)
  * Bump SONAME: libfdk-aac0 -> libfdk-aac1.
  * debian/{control,rules}: Switch to automatic dbgsym packages.
  * debian/control: Bump Standards-Version.

  [ Daniel Knezevic ]
  * debian/rules: Remove -march=mips32r2 on mips* platforms. (Closes: #838364)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Sep 2016 17:18:45 +0200
