## fdk-aac 0.1.5

=== debian/changelog ===
fdk-aac (0.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Removed patches obsoleted by new upstream release.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 12:10:55 +0200
