=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/fdk-aac.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/fdk-aac.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fdk-aac.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/fdk-aac.git
 XS-Autobuild: yes
 
-Package: libfdk-aac0
+Package: libfdk-aac1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -24,26 +24,12 @@
  This package contains the files needed to run a program compiled using
  The Fraunhofer FDK AAC Codec Library.
 
-Package: libfdk-aac0-dbg
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Section: non-free/debug
-Depends:
- libfdk-aac0 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for libfdk-aac0
- The FDK AAC Codec Library For Android contains an encoder implementation
- of the Advanced Audio Coding (AAC) audio codec.
- .
- This package contains the debugging symbols for libfdk-aac0
-
 Package: libfdk-aac-dev
 Architecture: any
 Multi-Arch: same
 Section: non-free/libdevel
 Depends:
- libfdk-aac0 (= ${binary:Version}),
+ libfdk-aac1 (= ${binary:Version}),
  pkg-config,
  ${misc:Depends}
 Description: Fraunhofer FDK AAC Codec Library - development files
@@ -56,7 +42,7 @@
 Package: aac-enc
 Architecture: any
 Depends:
-  libfdk-aac0 (= ${binary:Version}),
+  libfdk-aac1 (= ${binary:Version}),
   ${shlibs:Depends},
   ${misc:Depends}
 Section: non-free/sound
