## fdk-aac 0.1.6

=== debian/changelog ===
fdk-aac (0.1.6-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

  [ Sebastian Ramacher ]
  * New upstream release.
  * debhelper/: Bump debhelper compat level to 11.
  * debian/control:
    - Bump Standards-Version.
    - Remove old Pre-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 May 2018 13:47:37 +0200
