=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: fdk-aac
 Section: non-free/libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fdk-aac.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/fdk-aac.git
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11)
+Vcs-Git: https://salsa.debian.org/multimedia-team/fdk-aac.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/fdk-aac
 XS-Autobuild: yes
 
 Package: libfdk-aac1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Fraunhofer FDK AAC Codec Library - runtime files
- The FDK AAC Codec Library For Android contains an encoder implementation 
+ The FDK AAC Codec Library For Android contains an encoder implementation
  of the Advanced Audio Coding (AAC) audio codec.
  .
  This package contains the files needed to run a program compiled using
@@ -51,4 +50,4 @@
  of the Advanced Audio Coding (AAC) audio codec.
  .
  This package contains a frontend binary capable of encoding WAVE files
- using the Fraunhofer FDK AAC Codec Library. 
+ using the Fraunhofer FDK AAC Codec Library.
