## fdk-aac 2.0.1

=== debian/changelog ===
fdk-aac (2.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Fabian Greffrath ]
  * New upstream version 2.0.1 (Closes: #915386).
  * Bump SONAME to libfdk-aac2.
  * Refresh patches.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.5.0
  * Install the static library archive in the libfdk-aac-dev package
    (Closes: #865710).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 18 Mar 2020 20:53:14 +0100
