=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/multimedia-team/fdk-aac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fdk-aac
 XS-Autobuild: yes
+Rules-Requires-Root: no
 
-Package: libfdk-aac1
+Package: libfdk-aac2
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -28,7 +29,7 @@
 Multi-Arch: same
 Section: non-free/libdevel
 Depends:
- libfdk-aac1 (= ${binary:Version}),
+ libfdk-aac2 (= ${binary:Version}),
  pkg-config,
  ${misc:Depends}
 Description: Fraunhofer FDK AAC Codec Library - development files
@@ -41,7 +42,6 @@
 Package: aac-enc
 Architecture: any
 Depends:
-  libfdk-aac1 (= ${binary:Version}),
   ${shlibs:Depends},
   ${misc:Depends}
 Section: non-free/sound
