=== debian/changelog ===
fdk-aac (2.0.2-1~bpo10+1) buster; urgency=medium

  * backport to buster

 -- Marc Leeman <m.leeman@televic.com>  Wed, 15 Dec 2021 14:41:11 +0100

fdk-aac (2.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/: Bump debhelper compat to 13
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Sep 2021 00:20:49 +0200
