=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: non-free/libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Romain Beauxis <toots@rastageeks.org>
+Uploaders: Romain Beauxis <toots@rastageeks.org>,
+            Marc Leeman <m.leeman@televic.com>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
+Build-Depends: debhelper ( >= 10)
 Vcs-Git: https://salsa.debian.org/multimedia-team/fdk-aac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fdk-aac
 XS-Autobuild: yes
