## fdk-aac 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
   cmake_policy(SET CMP0091 NEW)
 endif()
 
-project(fdk-aac VERSION 2.0.2)
+project(fdk-aac VERSION 2.0.3)
 
 # Includes
 
@@ -62,7 +62,7 @@
 # Options
 
 option(BUILD_SHARED_LIBS "Build shared library" ON)
-option(BUILD_PROGRAMS "Build aac-enc utility" OFF)
+option(BUILD_PROGRAMS "Build extra utilities" OFF)
 option(FDK_AAC_INSTALL_CMAKE_CONFIG_MODULE "Install CMake package configuration file" ON)
 option(FDK_AAC_INSTALL_PKGCONFIG_MODULE "Install pkg-config .pc file" ON)
