=== debian/watch ===
version=4
https://github.com/mstorsjo/fdk-aac/tags \
.*[^n]/(?:|v|r|REL_|rel-|fdk-aac(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
